/**
 * 往来单位管理页面 API
 */
import request from '@/utils/request'

/** 新增往来单位 */
export const addContactUnitsApi = (data) => {
    return request.post('/base/customer/add', data)
}
/** 删除往来单位 */
export const deleteContactUnitsApi = (id) => {
    return request.delete(`/base/customer/${id}`)
}
/** 修改往来单位 */
export const editContactUnitsApi = (data) => {
    return request.put('/base/customer/update', data)
}
/** 往来单位列表查询 */
export const queryContactUnitsListApi = (data) => {
    return request.get('/base/customer/getList', {
      params: data
    })
}
/** 往来单位列表查询-下拉选 */
export const queryContactUnitsSelApi = (data) => {
  return request.get('/base/customer/getUnitInfoSelect', {
    params: data
  })
}
/** 获取所属分公司树 */
export const queryCompanyTreeApi = (data) => {
  return request.get('/base/customer/deptTree', {
    params: data
  })
}

